package com.zanxiang.game.data.serve.controller;

import com.zanxiang.game.data.serve.service.IGameMonitorAlarmService;
import com.zanxiang.module.util.pojo.ResultVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏监控告警控制器
 * @date 2023/12/13 16:20
 */
@RestController
@RequestMapping("/monitor/alarm")
public class GameMonitorAlarmController {

    @Autowired
    private IGameMonitorAlarmService gameMonitorAlarmService;

    @PutMapping("/sendMsg")
    public ResultVO<Boolean> sendDingMsgToUser() {
        return ResultVO.ok(gameMonitorAlarmService.sendMsgToUser());
    }

}
